{% for bet in bets %}
    {% if forloop.counter0|divisibleby:3 %}
        <div class="tile is-ancestor">
    {% endif %}
<div class="tile is-parent is-4">
    <div class="tile is-child has-text-centered">
        <div class="card">
            <div class="card-content">
                <p class="title {% if bet.is_exact %} has-text-success {% elif bet.is_correct %} has-text-link {% endif %}">
                    <img src="{{ bet.match.home.img_src }}"/>
                    {{ bet.match.home.name }} : {{ bet.home_goals }}
                </p>
                <p class="title {% if bet.is_exact %} has-text-success {% elif bet.is_correct %} has-text-link {% endif %}">
                    <img src="{{ bet.match.away.img_src }}"/>
                    {{ bet.match.away.name }} : {{ bet.away_goals }}
                </p>
                <p class="subtitle">
                    {{ bet.match.time }}
                </p>
            </div>

            <footer class="card-footer">
                <p class="card-footer-item">
                    {% if not bet.match.is_frozen %}
                        <span>
                            <a href="{% url 'add_bet' bet.match.pk %}">Change prediction</a>
                        </span>
                    {% else %}
                        <span>
                            <a href="{% url 'all_bets' bet.match.pk %}">See match results</a>
                        </span>
                    {% endif %}
                </p>
            </footer>
        </div>
    </div>
</div>
{% if forloop.counter|divisibleby:3 or forloop.last %}
    </div>
{% endif %}
{% endfor %}